import { U64UnsafeBeyond2Pow53Minus1 } from './common';
type GetInflationRateApiResponse = Readonly<{
    /** Epoch for which these values are valid */
    epoch: U64UnsafeBeyond2Pow53Minus1;
    /** Inflation allocated to the foundation */
    foundation: number;
    /** Total inflation */
    total: number;
    /** Inflation allocated to validators */
    validator: number;
}>;
export interface GetInflationRateApi {
    /**
     * Returns the current block height of the node
     */
    getInflationRate(NO_CONFIG?: Record<string, never>): GetInflationRateApiResponse;
}
export {};
//# sourceMappingURL=getInflationRate.d.ts.map